%define name	phoronix-test-suite
%define version 1.8.1
%define release %mkrel 1

Summary:	A Comprehensive Linux Benchmarking System
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPLv3
Group:		Publishing
Url:		http://www.phoronix-test-suite.com/

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires:	freeimage-devel
Requires:	ftjam
Requires:	git
Requires:	gcc-gfortran
Requires:	glew-devel
Requires:	gtk+2-devel
Requires:	java
Requires:	jpeg-devel
Requires:	imlib2-devel
Requires:	libaio-devel
Requires:	libvorbis-devel
Requires:	openal-devel
Requires:	perl-devel
#Requires:	perl-opengl # will be needed in a further revision but we are too close of the release
Requires:	portaudio-devel
Requires:	png-devel
Requires:	php-cli
Requires:	php-gd
Requires:	php-gtk2
Requires:	scons
Requires:	SDL-devel
Requires:	SDL_gfx-devel
Requires:	SDL_net-devel
Requires:	SDL_image-devel
Requires:	SDL_sound-devel
Requires:	SDL_ttf-devel
Requires:	task-c-devel
Requires:	task-c++-devel
Requires:	tcsh
Requires:	X11-devel


%description
The Phoronix Test Suite is the most comprehensive testing and benchmarking 
platform available for Linux and is designed to carry out qualitative and 
quantitative benchmarks in a clean, reproducible, and easy-to-use manner.

%prep
%setup -q -n %name

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
$RPM_BUILD_DIR/%{name}/install-sh $RPM_BUILD_ROOT/usr
sed -i "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/%{_bindir}/phoronix-test-suite

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Phoronix Test Suite
Comment=Phoronix Test Suite Benchmarking Utility
Exec=%{_bindir}/%{name} gui
Icon=%{name}
Terminal=false
Type=Application
Encoding=UTF-8
StartupNotify=true
Categories=GTK;System;Monitor;X-MandrivaLinux-CrossDesktop;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%doc %{_datadir}/doc/%{name}


%changelog
* Thu Apr 16 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.8.1-1mdv2009.1
+ Revision: 367804
- Bugfix update for 1.8 series

* Wed Apr 08 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.8.0-2mdv2009.1
+ Revision: 365174
- Update invalid exec entry for the menu
- Fix desktop category

* Tue Apr 07 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.8.0-1mdv2009.1
+ Revision: 364848
- Updated to 1.8
- Added a menu entry for the gui part
- perl-opengl will be needed in the future

* Tue Jan 20 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6.0-1mdv2009.1
+ Revision: 331810
- Final 1.6.0 release

* Tue Jan 13 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6-0b3.1mdv2009.1
+ Revision: 328889
- 1.6.0 beta 3

* Mon Jan 12 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6-0b2.1mdv2009.1
+ Revision: 328648
- Update to 1.6.0beta2

* Mon Nov 03 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.4.0-1mdv2009.1
+ Revision: 299565
- Update to release 1.4.0

* Sun Sep 14 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 284800
- update to 1.2.2
- minor dependencies update for latest release

* Wed Sep 03 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 279726
- 1.2 final

* Thu Aug 28 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.2-0b3mdv2009.0
+ Revision: 277056
- update to 1.2.0 beta3

* Thu Aug 21 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 274945
- add buildroot, correct spec name to comply with bs
- import phoronix-test-suite


* Fri Aug 21 2008 Stéphane Téletchéa <steletch@mandriva.org>
- Initial Mandriva release
